// Base64 functions

#include "base64.h"

unsigned char base64_value(char c) {
	if ('A' <= c && c <= 'Z')
		return c - 'A';
	if ('a' <= c && c <= 'z')
		return c - 'a' + 26;
	if ('0' <= c && c <= '9')
		return c - '0' + 52;
	switch (c) {
	case '+':
		return 62;
	case '/':
		return 63;
	}
	return 0xff;
}

_Bool is_base64(char c) {
	return c == '+' || ('/' <= c && c <= '9') || ('A' <= c && c <= 'Z')
		|| ('a' <= c && c <= 'z');
}
